» » Metaprogramming Ruby 2 Program Like the Ruby Pros (EPUB)



Information of news
17-04-2015, 01:33

Metaprogramming Ruby 2 Program Like the Ruby Pros (EPUB)

Category: E-Books

Metaprogramming Ruby 2 Program Like the Ruby Pros (EPUB)
Paolo Perrotta, "Metaprogramming Ruby 2: Program Like the Ruby Pros"
English | 2014 | ISBN: 1941222129 | 250 pages | EPUB | 6 MB

Write powerful Ruby code that is easy to maintain and change. With metaprogramming, you can produce elegant, clean, and beautiful programs. Once the domain of expert Rubyists, metaprogramming is now accessible to programmers of all levels. This thoroughly revised and updated second edition of the bestselling Metaprogramming Ruby explains metaprogramming in a down-to-earth style and arms you with a practical toolbox that will help you write your best Ruby code ever.





Dig under the surface and explore Ruby's most advanced feature: a collection of techniques and tricks known as metaprogramming. In this book, you'll learn metaprogramming as an essential component of Ruby and discover the deep, non-obvious details of the language. Once you understand the tenets of Ruby, including the object model, scopes, and singleton classes, you're on your way to applying metaprogramming both in your daily work assignments and in your fun, after-hours projects.

Metaprogramming Ruby, Second Edition makes mastering the language enjoyable. The book is packed with:

Pragmatic examples of metaprogramming in action, many of which come straight from real-life gems such as Rails.

Programming challenges that let you experiment and play with some of the most out-there metaprogramming concepts.

Metaprogramming "spells"--33 practical recipes and idioms that you can study and apply right now, to write code that is sure to impress.

This completely revised new edition covers the new features in Ruby 2.0 and 2.1, and contains code from the latest Ruby libraries, including Rails 4. Most examples are new, "from the wild," with more recent libraries. And the book reflects current ideas of when and how much metaprogramming you should use.

Whether you're a Ruby apprentice on the path to mastering the language or a Ruby wiz in search of new tips, this book is for you.

What You Need:

Ruby 2.x, Ruby 1.9, or a recent version of JRuby.



Links are Interchangeable - No Password - Single Extraction

uploaded


Rapidgator.net
Site BBcode/HTML Code:
Dear visitor, you went to the site as unregistered user.
We recommend you Sign up or Login to website under your name.
Information
Would you like to leave your comment? Please Login to your account to leave comments. Don't have an account? You can create a free account now.